import pandas as pd
import numpy as np
import utils
from Student import Student
from sklearn.preprocessing import StandardScaler
from sklearn import datasets
from sklearn.model_selection import train_test_split

# Create Users instances
owner_user = utils.User("info@openmined.org", "changethis", "Owner")
data_scientist_user = utils.User("DataScientist@gmail.com", "DataScientist", "Data Scientist")

iris = datasets.load_iris()
  
X = iris.data
y = iris.target
  
X_train, X_test, y_train, y_test = train_test_split(X, y, random_state = 0)

df = pd.DataFrame(X_test)
df.columns =  iris.feature_names
min_max_vals = {}
for c in df.columns:
	min_max_vals[c] = (df[c].min(), df[c].max())

student = Student("http://localhost:8081", 
	owner_user, 'data', 
	"http://localhost:8081", 
	data_scientist_user,
	df, 
	sleep_time=60,
	retries=50,
	min_max_vals=min_max_vals)

values = student.run()

print('FINAL RESULT')
print(values)
