import pandas as pd
import numpy as np
import utils
from Student import Student
from sklearn.preprocessing import StandardScaler
from sklearn import datasets, linear_model


# Create Users instances
owner_user = utils.User("info@openmined.org", "changethis", "Owner")
data_scientist_user = utils.User("DataScientist@gmail.com", "DataScientist", "Data Scientist")

diabetes_x, diabetes_y = datasets.load_diabetes(return_X_y=True)
diabetes_x = diabetes_x[:, np.newaxis, 2]
diabetes_x_test = diabetes_x[-20:]

scaler = StandardScaler()
diabetes_x_train = scaler.fit_transform(diabetes_x_test) 
df = pd.DataFrame()
df['predictors'] =  diabetes_x_train.flatten()

student = Student("http://localhost:8081", 
	owner_user, 'data_regression', 
	"http://localhost:8081", 
	data_scientist_user,
	df, 
	sleep_time=60,
	retries=50)

values = student.run()

print('FINAL RESULT')
print(values)
