import numpy as np
import utils
from Teacher import Teacher


import sys

teacher_id = 0

if len(sys.argv)>1:
	teacher_id = int(sys.argv[1])
  
print(f"Starting teacher with id={teacher_id}")

# Create Users instances
owner_user = utils.User("info@openmined.org", "changethis", "Owner")
data_scientist_user = utils.User(f"DST{teacher_id}@gmail.com", f"DST{teacher_id}", "Data Scientist")

min_max_vals = {'result':(0,600)}

teacher = Teacher(teacher_domain="http://localhost:8081",
	    teacher_user=owner_user, 
		student_domain="http://localhost:8081",
		student_user=data_scientist_user, 
		model_path=f'model_regression_{teacher_id}.joblib', 
		teacher_id=teacher_id, 
		dataset_name='data_regression',
		method = utils.Method.AVERAGE,
		min_max_vals=min_max_vals)

teacher.run()