import utils
from TrustedCurator import TrustedCurator
import sys

n_teachers = 2 #by default 2 teachers
classes = 2

if len(sys.argv)>1:
	n_teachers = int(sys.argv[1])

if len(sys.argv)>2:
	classes = int(sys.argv[2])

print(f"Starting TrustedCurator with n_teachers={n_teachers}")


# Users instances
tc_student_user  = utils.User("info@openmined.org", "changethis", "Owner")
student_user = utils.User("DSStudent@gmail.com", "DSStudent", "Data Scientist")
 
teachers_domains = []
for i in range(n_teachers):
	t_data_scientist_user = utils.User(f"DST{i}@gmail.com", f"DST{i}", "Data Scientist")
	teachers_domains.append(("http://localhost:8081", t_data_scientist_user))

min_max_vals = {}
min_max_vals['result'] = tuple(list(range(0,classes)))

tct = TrustedCurator(
	    tc_student_domain="http://localhost:8081",
	    tc_student_user=tc_student_user,
	    student_domain="http://localhost:8081",
	    student_user=student_user,
		n_teachers=n_teachers,
		teachers_domains=teachers_domains,
		dataset_name="data",
		method = utils.Method.VOTING,
		min_max_vals=min_max_vals,
		classes=classes)

tct.run()
